## org.gnu.gdk
Class DragAction

    java.lang.Object
      org.gnu.glib.Flags
          org.gnu.gdk.DragAction

public class DragAction
extends org.gnu.glib.Flags

Field Summary
`static DragAction` `ASK`
`static DragAction` `COPY`
`static DragAction` `DEFAULT`
`static DragAction` `LINK`
`static DragAction` `MOVE`
`static DragAction` `PRIVATE`

Method Summary
`DragAction` `and(DragAction other)`
`static DragAction` `intern(int value)`
`DragAction` `or(DragAction other)`
`boolean` `test(DragAction other)`
`DragAction` `xor(DragAction other)`

Methods inherited from class org.gnu.glib.Flags
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT

    public static final DragAction DEFAULT

### COPY

    public static final DragAction COPY

### MOVE

    public static final DragAction MOVE

### LINK

    public static final DragAction LINK

### PRIVATE

    public static final DragAction PRIVATE

### ASK

    public static final DragAction ASK

Method Detail

### intern

    public static DragAction intern(int value)

### or

    public DragAction or(DragAction other)

### and

    public DragAction and(DragAction other)

### xor

    public DragAction xor(DragAction other)

### test

    public boolean test(DragAction other)